org.opengis.cite.ogcapitiles10.core

## Class MandatoryCore

- java.lang.Object
- - org.opengis.cite.ogcapitiles10.CommonFixture
  - - org.opengis.cite.ogcapitiles10.core.MandatoryCore

-     public class MandatoryCore
      extends CommonFixture

  Updated at the OGC API - Tiles Sprint 2020 by ghobona A.2.2. Landing Page {root}/
  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapitiles10.CommonFixture

      `missing_api_definition_error_message, missing_landing_page_error_message, requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MandatoryCore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `verifyErrorResponses(org.testng.ITestContext testContext)` Implements Abstract test A.7 Addresses Requirement 6: /req/core/tc-error
    `void` | `verifyMinimalConformance(org.testng.ITestContext testContext)` Implements Abstract test A.6 Addresses Requirement 5: /req/core/tc-success

    - ### Methods inherited from class org.opengis.cite.ogcapitiles10.CommonFixture

      `clearMessages, formatLinkURI, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MandatoryCore

          public MandatoryCore()

  - ### Method Detail

    - #### verifyMinimalConformance

          public void verifyMinimalConformance(org.testng.ITestContext testContext)
                                        throws Exception

           Implements Abstract test A.6
           Addresses Requirement 5: /req/core/tc-success

      Throws:
        `Exception`

    - #### verifyErrorResponses

          public void verifyErrorResponses(org.testng.ITestContext testContext)
                                    throws Exception

           Implements Abstract test A.7
           Addresses Requirement 6: /req/core/tc-error

      Throws:
        `Exception`

Copyright © 2024 Open Geospatial Consortium. All rights reserved.